(function($) {
    $.fn.reza_figcaption_hover = function() {
        $(this).find('.rd-module-1,.rd-module-2,.rd-cap-hover-middle .rd-glider').on({
            mouseenter: function() {
                var element = $(this);
                element.find('figcaption').addClass('rd-aw');
                element.reza_auto_width();

            },
            mouseleave: function() {
                var element = $(this);
                setTimeout(function() {
                    element.find('figcaption').reza_remove_auto_width_warp();
                    element.find('figcaption').removeClass('rd-aw');
                }, 350);
            }
        });
    };

})(jQuery);